const bcrypt = require('bcryptjs');
const StaffModel = require('./staffModel');

async function createStaffUser() {
  const username = 'admin';
  const password = '123456';
  const passwordHash = await bcrypt.hash(password, 10);

  StaffModel.create(username, passwordHash, 'admin', (err) => {
    if (err) {
      console.error('Erro ao criar usuário:', err);
    } else {
      console.log('Usuário criado com sucesso!');
    }
  });
}

createStaffUser();
